## gdb 9.1

=== gdb/features/Makefile ===
# Copyright (C) 2007-2020 Free Software Foundation, Inc.

# This file is part of GDB.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# This file requires GNU make!

# This Makefile updates files in ../regformats from their XML master
# copies.  Because this relies on xsltproc, it is not normally run
# during the build process; it should be run by hand when one of the
# affected XML files is changed, and the results should be kept in the
# GDB repository.

# It can also update the C files in the features directory from their
# XML master copies.  This relies on a GDB linked with expat and that
# is configured to include support for the architecture, so the files
# are kept in the GDB repository.
#
# By default we'll generate all C files, and you must point make at a
# GDB that has been configured with --enable-targets=all:
#
#   make GDB=/path/to/gdb cfiles
#
# To regenerate all C files from scratch:
#
#   make GDB=/path/to/gdb clean-cfiles cfiles
#
# To generate specific C files, you can override the XMLTOC and
# FEATURE_XMLFILES make variables:
#
#   make GDB=/path/to/gdb XMLTOC="xml files" FEATURE_XMLFILES="xml files" cfiles

# List of .dat files to create in ../regformats/
WHICH = arm/arm-with-iwmmxt arm/arm-with-vfpv2 arm/arm-with-vfpv3 \
	arm/arm-with-neon \
	mips-linux mips-dsp-linux \
	microblaze-with-stack-protect \
	mips64-linux mips64-dsp-linux \
	nios2-linux \
	rs6000/powerpc-32 \
	rs6000/powerpc-32l rs6000/powerpc-altivec32l rs6000/powerpc-e500l \
	rs6000/powerpc-64l rs6000/powerpc-altivec64l rs6000/powerpc-vsx32l \
	rs6000/powerpc-vsx64l \
	rs6000/powerpc-isa205-32l rs6000/powerpc-isa205-64l \
	rs6000/powerpc-isa205-altivec32l rs6000/powerpc-isa205-altivec64l \
	rs6000/powerpc-isa205-vsx32l rs6000/powerpc-isa205-vsx64l \
	rs6000/powerpc-isa205-ppr-dscr-vsx32l \
	rs6000/powerpc-isa205-ppr-dscr-vsx64l \
	rs6000/powerpc-isa207-vsx32l rs6000/powerpc-isa207-vsx64l \
	rs6000/powerpc-isa207-htm-vsx32l \
	rs6000/powerpc-isa207-htm-vsx64l \
	s390-linux32 s390-linux64 s390x-linux64 \
	s390-linux32v1 s390-linux64v1 s390x-linux64v1 \
	s390-linux32v2 s390-linux64v2 s390x-linux64v2 \
	s390-te-linux64 s390x-te-linux64 s390-vx-linux64 s390x-vx-linux64 \
	s390-tevx-linux64 s390x-tevx-linux64 \
	s390-gs-linux64 s390x-gs-linux64 \
	tic6x-c64xp-linux tic6x-c64x-linux tic6x-c62x-linux

# Record which registers should be sent to GDB by default after stop.
aarch64-expedite = x29,sp,pc
arm-expedite = r11,sp,pc
i386-expedite = ebp,esp,eip
amd64-expedite = rbp,rsp,rip
x32-expedite = rbp,rsp,rip
mips-expedite = r29,pc
mips-dsp-expedite = r29,pc
mips64-expedite = r29,pc
mips64-dsp-expedite = r29,pc
microblaze-expedite = r1,rpc
nios2-linux-expedite = sp,pc
or1k-expedite = r1,npc
powerpc-expedite = r1,pc
s390-linux32-expedite = r14,r15,pswa
s390-linux32v1-expedite = r14,r15,pswa
s390-linux32v2-expedite = r14,r15,pswa
s390-linux64-expedite = r14l,r15l,pswa
s390-linux64v1-expedite = r14l,r15l,pswa
s390-linux64v2-expedite = r14l,r15l,pswa
s390-te-linux64-expedite = r14l,r15l,pswa
s390-vx-linux64-expedite = r14l,r15l,pswa
s390-tevx-linux64-expedite = r14l,r15l,pswa
s390-gs-linux64-expedite = r14,r15,pswa
s390x-expedite = r14,r15,pswa
tic6x-expedite = A15,PC


XSLTPROC = xsltproc
outdir = ../regformats
OUTPUTS = $(patsubst %,$(outdir)/%.dat,$(WHICH))

# For targets without feature based target descriptions,
# the set of xml files we'll generate .c files for GDB from.  By
# default we'll build all .c files, which requires an
# --enable-targets=all GDB.  You can override this by passing XMLTOC
# to make on the command line.
XMLTOC = \
	arc-v2.xml \
	arc-arcompact.xml \
	microblaze-with-stack-protect.xml \
	microblaze.xml \
	mips-dsp-linux.xml \
	mips-linux.xml \
	mips64-dsp-linux.xml \
	mips64-linux.xml \
	nds32.xml \
	nios2.xml \
	or1k.xml \
	rs6000/powerpc-32.xml \
	rs6000/powerpc-32l.xml \
	rs6000/powerpc-403.xml \
	rs6000/powerpc-403gc.xml \
	rs6000/powerpc-405.xml \
	rs6000/powerpc-505.xml \
	rs6000/powerpc-601.xml \
	rs6000/powerpc-602.xml \
	rs6000/powerpc-603.xml \
	rs6000/powerpc-604.xml \
	rs6000/powerpc-64.xml \
	rs6000/powerpc-64l.xml \
	rs6000/powerpc-7400.xml \
	rs6000/powerpc-750.xml \
	rs6000/powerpc-860.xml \
	rs6000/powerpc-altivec32.xml \
	rs6000/powerpc-altivec32l.xml \
	rs6000/powerpc-altivec64.xml \
	rs6000/powerpc-altivec64l.xml \
	rs6000/powerpc-e500.xml \
	rs6000/powerpc-e500l.xml \
	rs6000/powerpc-isa205-32l.xml \
	rs6000/powerpc-isa205-64l.xml \
	rs6000/powerpc-isa205-altivec32l.xml \
	rs6000/powerpc-isa205-altivec64l.xml \
	rs6000/powerpc-isa205-vsx32l.xml \
	rs6000/powerpc-isa205-vsx64l.xml \
	rs6000/powerpc-isa205-ppr-dscr-vsx32l.xml \
	rs6000/powerpc-isa205-ppr-dscr-vsx64l.xml \
	rs6000/powerpc-isa207-vsx32l.xml \
	rs6000/powerpc-isa207-vsx64l.xml \
	rs6000/powerpc-isa207-htm-vsx32l.xml \
	rs6000/powerpc-isa207-htm-vsx64l.xml \
	rs6000/powerpc-vsx32.xml \
	rs6000/powerpc-vsx32l.xml \
	rs6000/powerpc-vsx64.xml \
	rs6000/powerpc-vsx64l.xml \
	rs6000/rs6000.xml \
	rx.xml \
	s390-linux32.xml \
	s390-linux32v1.xml \
	s390-linux32v2.xml \
	s390-linux64.xml \
	s390-linux64v1.xml \
	s390-linux64v2.xml \
	s390-te-linux64.xml \
	s390x-linux64.xml \
	s390x-linux64v1.xml \
	s390x-linux64v2.xml \
	s390x-te-linux64.xml \
	s390-tevx-linux64.xml \
	s390-vx-linux64.xml \
	s390x-tevx-linux64.xml \
	s390x-vx-linux64.xml \
	s390-gs-linux64.xml \
	s390x-gs-linux64.xml

TDESC_CFILES = $(patsubst %.xml,%.c,$(XMLTOC))
GDB = false

#Targets which use feature based target descriptions.
aarch64-feature = 1
arm-feature = 1
i386-feature = 1
riscv-feature = 1
tic6x-feature = 1

all: $(OUTPUTS)

$(outdir)/%.dat: %.xml number-regs.xsl sort-regs.xsl gdbserver-regs.xsl
	echo "# THIS FILE IS GENERATED.  -*- buffer-read-only: t -*- vi :set ro:" > $(outdir)/$*.tmp
	echo "# Generated from: $<" >> $(outdir)/$*.tmp
	echo "name:`echo $(notdir $*) | sed 's/-/_/g'`" >> $(outdir)/$*.tmp
	$(if $($(firstword $(subst /, ,$(subst -, ,$*)))-feature), echo "feature:1") >> $(outdir)/$*.tmp
	echo "xmltarget:$(<F)" >> $(outdir)/$*.tmp
	echo "expedite:$(if $($*-expedite),$($*-expedite),$($(firstword $(subst -, ,$(notdir $*)))-expedite))" \
	  >> $(outdir)/$*.tmp
	$(XSLTPROC) --path "$(PWD)" --xinclude number-regs.xsl $< | \
	  $(XSLTPROC) sort-regs.xsl - | \
	  $(XSLTPROC) gdbserver-regs.xsl - >> $(outdir)/$*.tmp
	sh ../../move-if-change $(outdir)/$*.tmp $(outdir)/$*.dat

# For targets with feature based target descriptions,
# the set of xml files we'll generate .c files for GDB from.
FEATURE_XMLFILES = aarch64-core.xml \
	aarch64-fpu.xml \
	aarch64-pauth.xml \
	arm/arm-core.xml \
	arm/arm-fpa.xml \
	arm/arm-m-profile.xml \
	arm/arm-m-profile-with-fpa.xml \
	arm/arm-vfpv2.xml \
	arm/arm-vfpv3.xml \
	arm/xscale-iwmmxt.xml \
	i386/32bit-core.xml \
	i386/32bit-sse.xml \
	i386/32bit-linux.xml \
	i386/32bit-avx.xml \
	i386/32bit-mpx.xml \
	i386/32bit-avx512.xml \
	i386/32bit-pkeys.xml \
	i386/64bit-avx512.xml \
	i386/64bit-core.xml \
	i386/64bit-mpx.xml \
	i386/64bit-segments.xml \
	i386/64bit-avx.xml \
	i386/64bit-linux.xml \
	i386/64bit-pkeys.xml \
	i386/64bit-sse.xml \
	i386/x32-core.xml \
	riscv/32bit-cpu.xml \
	riscv/32bit-csr.xml \
	riscv/32bit-fpu.xml \
	riscv/64bit-cpu.xml \
	riscv/64bit-csr.xml \
	riscv/64bit-fpu.xml \
	rx.xml \
	tic6x-c6xp.xml \
	tic6x-core.xml \
	tic6x-gp.xml

FEATURE_CFILES = $(patsubst %.xml,%.c,$(FEATURE_XMLFILES))

cfiles: $(TDESC_CFILES) $(FEATURE_CFILES)

$(TDESC_CFILES): %.c: %.xml
	$(GDB) -nx -q -batch -ex 'maint print c-tdesc $<' > $@.tmp
	sh ../../move-if-change $@.tmp $@

$(FEATURE_CFILES): %.c: %.xml.tmp
	$(GDB) -nx -q -batch \
	  -ex 'maint print c-tdesc $<' > $@.tmp
	sh ../../move-if-change $@.tmp $@
	rm $<

# %.xml is the XML file for each target description feature, and
# %.xml.tmp is the XML file target description which only includes
# one target description feature.

%.xml.tmp: %.xml
	echo "<?xml version=\"1.0\"?>" > $@.tmp
	echo "<!DOCTYPE target SYSTEM \"gdb-target.dtd\">" >> $@.tmp
	echo "<target>" >> $@.tmp
	echo "  <xi:include href=\"$(notdir $<)\"/>" >> $@.tmp
	echo "</target>" >> $@.tmp
	sh ../../move-if-change $@.tmp $@

# Regenerate RISC-V CSR feature lists.
riscv/32bit-csr.xml riscv/64bit-csr.xml: ../../include/opcode/riscv-opc.h
	./riscv/rebuild-csr-xml.sh ../../include/opcode/riscv-opc.h ./riscv

# 'all' doesn't build the C files, so don't delete them in 'clean'
# either.
clean-cfiles:
	rm -f $(TDESC_CFILES) $(FEATURE_CFILES)

clean:
	rm -f $(OUTPUTS)

=== debian/changelog ===
gdb (9.1-0ubuntu1) focal; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Feb 2020 08:11:47 +0100

gdb (9.0.90.20200117-0ubuntu1) focal; urgency=medium

  * New upstream snapshot, taken from the release branch.
  * Fix build with Python 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 06:32:27 +0100

gdb (9.0.90.20200105-0ubuntu1) focal; urgency=medium

  * New upstream snapshot, taken from the release branch.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2020 12:04:27 +0100

gdb (9.0.90.20191216-0ubuntu1) focal; urgency=medium

  * New upstream snapshot, taken from the release branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Dec 2019 16:09:22 +0100

gdb (9.0.50.20191119-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Nov 2019 06:22:40 +0100

gdb (9.0.50.20191110-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Nov 2019 11:33:12 +0100

gdb (9.0.50.20191019-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 16:50:37 +0200

gdb (8.3.50.20190910-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
  * Don't run the tests on armhf, timing out on the buildd.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Sep 2019 11:07:42 +0200

gdb (8.3.50.20190907-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2019 09:55:03 +0200

gdb (8.3.50.20190828-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Aug 2019 20:15:20 +0200

=== debian/control ===
Source: gdb
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
Uploaders: Luca Bruno <lucab@debian.org>, Samuel Bronson <naesten@gmail.com>
Section: devel
Priority: optional
Standards-Version: 4.2.1
Build-Depends:
# Packaging deps
               cdbs (>= 0.4.90),
               debhelper (>= 9),
               lsb-release,
               bzip2,
# Other tool deps
               autoconf,
               libtool,
               gettext,
               bison,
               dejagnu,
               flex | flex-old,
               procps,
               g++-multilib [i386 powerpc s390 sparc],
               gobjc,
               gccgo,
               mig [hurd-any],
# TeX[info] deps
               texinfo (>= 4.7-2.2),
               texlive-base,
# Libdev deps
               libexpat1-dev,
               libncursesw5-dev, lib64ncurses5-dev [i386 powerpc s390 sparc],
               libreadline-dev, lib64readline-dev [i386 powerpc s390 sparc],
               zlib1g-dev,
               liblzma-dev,
               libbabeltrace-dev,
               libbabeltrace-ctf-dev,
               python3-dev,
               libkvm-dev [kfreebsd-any],
               libunwind7-dev [ia64],
               libmpfr-dev,
# gdb-doc
               texlive-latex-base, texlive-fonts-recommended, cm-super,
Vcs-Git: git://anonscm.debian.org/pkg-gdb/gdb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gdb/gdb.git
Homepage: http://www.gnu.org/s/gdb/

Package: gdb
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends}
Recommends: libc-dbg,
	    libcc1-0,
            gdbserver [amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x x32]
Suggests: gdb-doc
Conflicts: gdb
Replaces: gdb, gdb-doc (<< 7.8-1~)
Provides: gdb-minimal (= ${binary:Version})
Description: GNU Debugger
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.

Package: gdb-multiarch
Architecture: any
Depends: gdb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GNU Debugger (with support for multiple architectures)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains a version of GDB which supports multiple
 target architectures.

Package: gdbserver
Architecture: amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x x32
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: gdb (<< 7.0.1-1)
Description: GNU Debugger (remote server)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains gdbserver.  Install this to debug remotely
 from another system where GDB is installed.

Package: gdb-source
Architecture: all
Depends: ${misc:Depends}
Description: GNU Debugger (source)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains the sources and patches which are needed
 to build GDB.

Package: gdb-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, gdb (= ${binary:Version})
Description: GNU Debugger (debug package)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains the detached debugging symbols for the GNU
 GDB.

Package: gdb-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: gdb (<< 7.8), gdbserver (<< 7.8)
Replaces: gdb (<< 7.8), gdbserver (<< 7.8)
Description: The GNU Debugger Documentation
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, it works for C, C++, Fortran,
 Modula 2 and Java programs. A must-have for any serious
 programmer.
 .
 This package contains the GDB manual.

=== debian/rules ===
#!/usr/bin/make -f

ALL_BUILDDIR := $(shell pwd)/build

DEB_BUILDDIR := $(ALL_BUILDDIR)/objdir
DEB_DH_INSTALL_SOURCEDIR := $(shell pwd)/debian/tmp
DEB_DH_STRIP_ARGS_GDB := --dbg-package=gdb-dbg

# Override CDBS's default CFLAGS, which also includes -Wall; gdb
# does not handle -Wunused well with -Werror, but defaults to
# -Werror.
DEB_WARNING_FLAGS :=

# This implements the .deb package creation using debhelper.
include /usr/share/cdbs/1/rules/debhelper.mk

# This implements building using a configure script and Makefile.
include /usr/share/cdbs/1/class/python-autotools.mk

# The top-level configure script fails to pass these down properly ...
export CPPFLAGS
export LDFLAGS

# Always install into debian/tmp, even if we are only building one package.
DEB_DESTDIR := $(shell pwd)/debian/tmp

install = /usr/bin/install -p

# Rather paranoid than sorry. Make the shell exit with an error if an
# untested command fails.
SHELL += -e

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_TARGET_ARCH := $(shell dpkg-architecture -qDEB_TARGET_ARCH)
DEB_TARGET_GNU_TYPE := $(shell dpkg-architecture -qDEB_TARGET_GNU_TYPE)
ifeq (,$(DEB_TARGET_ARCH))
  DEB_TARGET_ARCH := $(DEB_HOST_ARCH)
  DEB_TARGET_GNU_TYPE := $(DEB_HOST_GNU_TYPE)
endif

# Cross configuration support.  Check for an environment variable
# $GDB_TARGET, or a file debian/target.
ifndef GDB_TARGET
DEBIAN_TARGET_FILE := $(strip $(shell cat debian/target 2>/dev/null))
ifneq ($(DEBIAN_TARGET_FILE),)
GDB_TARGET := $(DEBIAN_TARGET_FILE)
endif
endif

DEB_TARGET_ALIAS ?= $(DEB_TARGET_GNU_TYPE)

ifneq ($(GDB_TARGET),)
DEB_CONFIGURE_GDB_DATADIR := "\$${prefix}/share/gdb-$(DEB_TARGET_GNU_TYPE)"
DEB_CONFIGURE_PATH_ARGS += --with-gdb-datadir=$(DEB_CONFIGURE_GDB_DATADIR)
endif

ifeq ($(DEB_TARGET_ARCH),)
$(error GDB_TARGET value "$(GDB_TARGET)" is not a valid Debian architecture)
endif

ifdef GDB_TARGET
  DEB_CROSS = yes
  # TP: Target Prefix. Used primarily as a prefix for cross tool
  #     names (e.g. powerpc-linux-gcc).
  # TS: Target Suffix. Used primarily at the end of cross compiler
  #     package names (e.g. gcc-powerpc).
  TP = $(DEB_TARGET_ALIAS)-
  TS = -$(DEB_TARGET_ALIAS)
  CROSS_FORCE = FORCE
endif

distribution := $(shell lsb_release -is)
deb_version := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')

BUILDDIRMULTIARCH = $(ALL_BUILDDIR)/objdir-multiarch

run_tests := yes

# timeouts on the buildd
ifneq (,$(filter armhf, $(DEB_HOST_ARCH)))
  run_tests := no
endif

ifneq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
  run_tests := no
endif

ifeq (,$(findstring linux, $(DEB_HOST_GNU_SYSTEM)))
  run_tests := no
endif

ifeq ($(DEB_HOST_GNU_CPU),ia64)
  arch_config_args := --with-libunwind-ia64
endif

arch_config_args += --with-babeltrace

# Enable Intel Processor Trace (PT) on Linux x86 platform
#ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
#  arch_config_args += --with-intel-pt
#endif

ifdef GDB_TARGET
  run_tests := no

  arch_config_args += --program-prefix=$(TP) \
    --target=$(DEB_TARGET_ALIAS) --with-sysroot=/usr/$(DEB_TARGET_ALIAS)
else
  # To avoid file conflicts, only enable the global gdbinit file for native
  # debuggers.
  arch_config_args += --with-system-gdbinit=/etc/gdb/gdbinit
endif

INSTALL = $(install)
export INSTALL

# We pass srcdir explicitly to avoid an extra '/.' at the end of it.  That
# causes a harmless, but ugly, testsuite failure in maint.exp.
EXTRA_FLAGS := --disable-gdbtk --disable-shared \
	--with-pkgversion='$(distribution) $(deb_version)' \
	--srcdir=$(shell pwd) \
	--disable-readline --with-system-readline --with-expat \
	--with-system-zlib --without-lzma \
	--without-guile --without-babeltrace \
	--disable-werror \
	$(arch_config_args) --build=$(DEB_BUILD_GNU_TYPE)

# Debian does not include 64-bit Python packages, so --with-python
# is here rather than in EXTRA_FLAGS.
DEB_CONFIGURE_EXTRA_FLAGS := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
	--enable-tui --with-lzma --with-python=python3

# multiarch targets; this is taken from the binutils-multiarch package but
# doesn't seem like a terribly nice list; see
# <20110117211551.GA7216@bee.dooz.org> for discussion -- locally updated
MULTIARCH_TARGETS := \
	aarch64-linux-gnu \
	alpha-linux-gnu \
	arm-linux-gnu \
	arm-linux-gnueabi \
	arm-linux-gnueabihf \
	hppa-linux-gnu \
	i686-linux-gnu \
	ia64-linux-gnu \
	m68k-linux-gnu \
	m68k-rtems \
	mips-linux-gnu \
	mipsel-linux-gnu \
	mips64-linux-gnu \
	mips64el-linux-gnu \
	powerpc-linux-gnu \
	powerpc-linux-gnuspe \
	powerpc64le-linux-gnu \
	powerpc64-linux-gnu \
	riscv32-linux-gnu \
	riscv64-linux-gnu \
	s390-linux-gnu \
	s390x-linux-gnu \
	sh-linux-gnu \
	sparc-linux-gnu \
	sparc64-linux-gnu \
	x86_64-linux-gnu \
	m32r-linux-gnu

# broken, see https://launchpad.net/bugs/1233185
#MULTIARCH_TARGETS := all
#	--enable-targets=$(MULTIARCH_TARGETS) \
# multiarch flags
DEB_CONFIGURE_FLAGS_MULTIARCH := $(DEB_CONFIGURE_EXTRA_FLAGS) \
	--enable-64-bit-bfd \
	--enable-targets=`set -- $(MULTIARCH_TARGETS); IFS=,; echo "$$*"` \
	--disable-sim

# Minimal flags
DEB_CONFIGURE_FLAGS_MIN := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
	--disable-tui --without-python --without-babeltrace

# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

DEB_MAKE_BUILD_TARGET = $(NJOBS) all

BUILDDIRSOURCE := $(ALL_BUILDDIR)/gdb
BUILDDIRMIN := $(ALL_BUILDDIR)/gdb-minimal

# This should probably be common-post-build-arch, but that runs during
# install, under fakeroot, in CDBS 0.4.21.
build/gdb$(TS):: check-stamp
	$(MAKE) -C $(DEB_BUILDDIR) info
	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc refcard.dvi refcard.ps

build/gdb-doc:: check-stamp
	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc pdf html

build/gdb-multiarch:: build-multiarch-stamp
build-multiarch-stamp:
	mkdir -p $(BUILDDIRMULTIARCH)
	cd $(BUILDDIRMULTIARCH) && CFLAGS="$(CFLAGS)" \
	  $(shell pwd)/configure $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_DEBUG_ARGS) $(DEB_CONFIGURE_FLAGS_MULTIARCH)
	cd $(BUILDDIRMULTIARCH) && $(DEB_MAKE_ENVVARS) $(MAKE) $(NJOBS)
	touch $@

build/gdb-minimal:: build-minimal-stamp
build-minimal-stamp:
	mkdir -p $(BUILDDIRMIN)
	cd $(BUILDDIRMIN) && CFLAGS="$(CFLAGS)" \
	  $(shell pwd)/configure $(DEB_CONFIGURE_NORMAL_ARGS) $(DEB_CONFIGURE_DEBUG_ARGS) $(DEB_CONFIGURE_FLAGS_MIN)
	cd $(BUILDDIRMIN) && $(DEB_MAKE_ENVVARS) $(MAKE) $(NJOBS)
	touch $@

check-stamp:
ifeq ($(run_tests),yes)
	$(MAKE) $(NJOBS) -C $(DEB_BUILDDIR)/gdb check \
	  || echo "**Tests failed, of course.**"
	-ps ux
	-kill $$(ps x|grep -v awk | awk '/interrupt-daemon/ {print $$1}')
	sleep 5
	-kill -9 $$(ps x|grep -v awk | awk '/interrupt-daemon/ {print $$1}')
endif
	touch $@

clean::
	rm -f check-stamp build-multiarch-stamp
	rm -rf $(ALL_BUILDDIR)

	if test -f gdb/version.in.backup; then \
	  mv -f gdb/version.in.backup gdb/version.in; \
	fi

#	# For snapshots this is appropriate; careful of release tarballs
#	# which include .gmo files.
#	find -type f -name '*.gmo' | xargs rm -f

	# Prevent gratuitous rebuilds of the BFD documentation, since it
	# updates the copy in the source directory.
	find bfd -name bfd.info\* | xargs --no-run-if-empty touch

binary-post-install/gdb$(TS) ::
	if [ -x debian/tmp/usr/bin/run ]; then				\
		mv debian/tmp/usr/bin/run					\
		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run;		\
	fi
	if [ -x debian/tmp/usr/share/man/man1/run.1 ]; then				\
		mv debian/tmp/usr/share/man/man1/run.1			\
		  debian/gdb$(TS)/usr/share/man/man1/$(DEB_TARGET_ALIAS)-run.1;	\
	fi
ifeq ($(run_tests),yes)
	install -d debian/gdb$(TS)/usr/share/doc/gdb

## gdb 9.2

=== debian/changelog ===
gdb (9.2-1+hurd.1) unreleased; urgency=medium

  * Apply hurd fixes.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 May 2020 23:12:02 +0000

gdb (9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 27 May 2020 17:39:34 +0200

gdb (9.1-3) unstable; urgency=medium

  * debian/patches/fix-symbol-reread-hang.patch: new patch

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 03 Apr 2020 19:28:25 +0200

gdb (9.1-2) unstable; urgency=medium

  [ Christian Biesinger ]
  * Load gdbinit files from /etc/gdb/gdbinit.d/*. Files need to have a
    .gdb/.py extension.
  * Fix W-compiler-flags-hidden.
    Set V=1 when building so the full compile commandline is shown.
    Fixes W-compiler-flags-hidden.html from
    https://qa.debian.org/bls/packages/g/gdb.html

  [ Sergio Durigan Junior ]
  * Enable libxxhash during build.
  * Create directory /etc/gdb/gdbinit.d.
    With the new "--with-system-gdbinit-dir" option, we also need to make
    sure the new directory exists.
  * Backport patch to fix printf convenience var regression.
    This was a regression upstream that caused failures on
    libapp-stacktrace-perl. (Closes: #936055)
  * Adjust python-config.patch to use the new "--embed" from Python 3.8's config.
    This adjustment is needed because python3.8-config implements a new
    '--embed' option, which should be used by applications building an
    embedded Python interpreter.  For more info, see
    <https://bugs.python.org/issue36721>.
  * Enable libmpfr during build.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 03 Mar 2020 23:49:25 -0500

gdb (9.1-1) unstable; urgency=medium

  [ Héctor Orón Martínez ]
  * New upstream version 9.1 (Closes: #906822)
  * debian/control{,.in}: python2 removal (Closes: #936591)
  * debian/patches: refresh
    + debian/patches/load-versioned-libcc1.patch: add SONAME to
      gcc-cp-interface.h (Closes: #950778)
    + debian/patches/gdb-PATH_MAX.patch: drop
  * debian/control{,.in}: build depend on pkg-config
  * debian/control{,.in}: add Sergio Durigan Junior as uploader
  * debian/README.source: point to xz upstream source instead bz2
  * debian/gcore.1: update (Closes: #904628)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Make "Files: *" paragraph the first in the copyright file.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Christian Biesinger ]
  * debian/control: update homepage to an https URL
  * debian/{control,rules}: Enable source highlighting (Closes: #942552)

  [ Vagrant Cascadian ]
  * debian/rules: Use tar arguments to ensure consistant tarballs, setting file
    mode, uid/gid, timestamps and sort order. (Closes: #950606)

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 09 Feb 2020 14:15:45 +0100

=== debian/control ===
Source: gdb
Maintainer: Héctor Orón Martínez <zumbi@debian.org>
Uploaders: Riku Voipio <riku.voipio@linaro.org>,
           Sergio Durigan Junior <sergiodj@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.5.0
Rules-Requires-Root: binary-targets
Build-Depends:
# Packaging deps
               cdbs (>= 0.4.90),
               debhelper (>= 9),
               lsb-release,
               bzip2,
# Other tool deps
               autoconf,
               libtool,
               gettext,
               bison,
               dejagnu,
               flex,
               procps,
# Do we really care that much about running the Java tests?
#               gcj-jdk | gcj,
               gobjc,
               mig [hurd-any],
# GNU/kFreeBSD deps
               libutil-freebsd-dev [kfreebsd-any],
# TeX[info] deps
               texinfo (>= 4.7-2.2),
               texlive-base,
# Libdev deps
               libexpat1-dev,
               libncurses5-dev,
               libreadline-dev,
               zlib1g-dev,
               liblzma-dev,
               libbabeltrace-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel mips64el powerpc s390x],
               libbabeltrace-ctf-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel mips64el powerpc s390x],
               libipt-dev [amd64 i386 x32],
               libsource-highlight-dev,
	       libxxhash-dev,
	       libmpfr-dev,
               pkg-config,
# Python3 build
               python3-dev,
               libkvm-dev [kfreebsd-any],
               libunwind-dev [ia64],
Vcs-Git: https://salsa.debian.org/gdb-team/gdb.git
Vcs-Browser: https://salsa.debian.org/gdb-team/gdb
Homepage: https://www.gnu.org/s/gdb/

Package: gdb
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends}
Recommends: libc-dbg
Suggests: gdb-doc,
          gdbserver [amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390 s390x x32]
Conflicts: gdb
Replaces: gdb
Description: GNU Debugger
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.

Package: gdb-minimal
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: gdb
Conflicts: gdb
Replaces: gdb
Description: GNU Debugger (minimal version)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains a minimal version of GDB with optional features
 disabled.

Package: gdb-multiarch
Architecture: any
Depends: gdb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: gdb-arm-none-eabi
Breaks: gdb-arm-none-eabi
Provides: gdb-arm-none-eabi
Description: GNU Debugger (with support for multiple architectures)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains a version of GDB which supports multiple
 target architectures.

Package: gdbserver
Architecture: amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390 s390x x32
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: gdb (<< 7.0.1-1)
Description: GNU Debugger (remote server)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains gdbserver.  Install this to debug remotely
 from another system where GDB is installed.

Package: gdb-source
Architecture: all
Depends: ${misc:Depends}
Description: GNU Debugger (source)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains the sources and patches which are needed
 to build GDB.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 DEB_BUILDDIR := $(ALL_BUILDDIR)/objdir
 DEB_DH_INSTALL_SOURCEDIR := $(shell pwd)/debian/tmp
-DEB_DH_STRIP_ARGS_GDB := --dbg-package=gdb-dbg
+DEB_DH_STRIP_ARGS_gdb = --dbgsym-migration='gdb-dbg (<< 7.12-1~)'
 
 # Override CDBS's default CFLAGS, which also includes -Wall; gdb
 # does not handle -Wunused well with -Werror, but defaults to
@@ -20,6 +20,7 @@
 # The top-level configure script fails to pass these down properly ...
 export CPPFLAGS
 export LDFLAGS
+CPPFLAGS += -fPIC
 
 # Always install into debian/tmp, even if we are only building one package.
 DEB_DESTDIR := $(shell pwd)/debian/tmp
@@ -30,17 +31,7 @@
 # untested command fails.
 SHELL += -e
 
-DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
-DEB_HOST_GNU_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
-DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_TARGET_ARCH := $(shell dpkg-architecture -qDEB_TARGET_ARCH)
-DEB_TARGET_GNU_TYPE := $(shell dpkg-architecture -qDEB_TARGET_GNU_TYPE)
-ifeq (,$(DEB_TARGET_ARCH))
-  DEB_TARGET_ARCH := $(DEB_HOST_ARCH)
-  DEB_TARGET_GNU_TYPE := $(DEB_HOST_GNU_TYPE)
-endif
+include /usr/share/dpkg/architecture.mk
 
 # Cross configuration support.  Check for an environment variable
 # $GDB_TARGET, or a file debian/target.
@@ -80,11 +71,6 @@
 
 run_tests := yes
 
-# timeouts on the buildd
-ifneq (,$(filter armhf, $(DEB_HOST_ARCH)))
-  run_tests := no
-endif
-
 ifneq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
   run_tests := no
 endif
@@ -97,12 +83,14 @@
   arch_config_args := --with-libunwind-ia64
 endif
 
-arch_config_args += --with-babeltrace
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x))
+  arch_config_args += --with-babeltrace
+endif
 
 # Enable Intel Processor Trace (PT) on Linux x86 platform
-#ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
-#  arch_config_args += --with-intel-pt
-#endif
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
+  arch_config_args += --with-intel-pt
+endif
 
 ifdef GDB_TARGET
   run_tests := no
@@ -112,7 +100,7 @@
 else
   # To avoid file conflicts, only enable the global gdbinit file for native
   # debuggers.
-  arch_config_args += --with-system-gdbinit=/etc/gdb/gdbinit
+  arch_config_args += --with-system-gdbinit=/etc/gdb/gdbinit --with-system-gdbinit-dir=/etc/gdb/gdbinit.d
 endif
 
 INSTALL = $(install)
@@ -126,13 +114,13 @@
 	--disable-readline --with-system-readline --with-expat \
 	--with-system-zlib --without-lzma \
 	--without-guile --without-babeltrace \
-	--disable-werror \
 	$(arch_config_args) --build=$(DEB_BUILD_GNU_TYPE)
 
 # Debian does not include 64-bit Python packages, so --with-python
 # is here rather than in EXTRA_FLAGS.
 DEB_CONFIGURE_EXTRA_FLAGS := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
-	--enable-tui --with-lzma --with-python=python3
+	--enable-tui --with-lzma --with-python=python3 \
+	--with-xxhash --with-mpfr
 
 # multiarch targets; this is taken from the binutils-multiarch package but
 # doesn't seem like a terribly nice list; see
@@ -143,6 +131,7 @@
 	arm-linux-gnu \
 	arm-linux-gnueabi \
 	arm-linux-gnueabihf \
+	arm-none-eabi \
 	hppa-linux-gnu \
 	i686-linux-gnu \
 	ia64-linux-gnu \
@@ -156,6 +145,7 @@
 	powerpc-linux-gnuspe \
 	powerpc64le-linux-gnu \
 	powerpc64-linux-gnu \
+	ppc64-linux-gnu \
 	riscv32-linux-gnu \
 	riscv64-linux-gnu \
 	s390-linux-gnu \
@@ -177,7 +167,8 @@
 
 # Minimal flags
 DEB_CONFIGURE_FLAGS_MIN := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
-	--disable-tui --without-python --without-babeltrace
+	--disable-tui --without-python --without-babeltrace \
+	--disable-source-highlight --without-mpfr
 
 # Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
 COMMA = ,
@@ -186,6 +177,7 @@
 endif
 
 DEB_MAKE_BUILD_TARGET = $(NJOBS) all
+DEB_MAKE_ENVVARS += V=1
 
 BUILDDIRSOURCE := $(ALL_BUILDDIR)/gdb
 BUILDDIRMIN := $(ALL_BUILDDIR)/gdb-minimal
@@ -195,9 +187,6 @@
 build/gdb$(TS):: check-stamp
 	$(MAKE) -C $(DEB_BUILDDIR) info
 	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc refcard.dvi refcard.ps
-
-build/gdb-doc:: check-stamp
-	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc pdf html
 
 build/gdb-multiarch:: build-multiarch-stamp
 build-multiarch-stamp:
@@ -219,15 +208,12 @@
 ifeq ($(run_tests),yes)
 	$(MAKE) $(NJOBS) -C $(DEB_BUILDDIR)/gdb check \
 	  || echo "**Tests failed, of course.**"
-	-ps ux
-	-kill $$(ps x|grep -v awk | awk '/interrupt-daemon/ {print $$1}')
-	sleep 5
-	-kill -9 $$(ps x|grep -v awk | awk '/interrupt-daemon/ {print $$1}')
 endif
 	touch $@
 
 clean::
 	rm -f check-stamp build-multiarch-stamp
+	rm -f debian/files
 	rm -rf $(ALL_BUILDDIR)
 
 	if test -f gdb/version.in.backup; then \
@@ -243,13 +229,30 @@
 	find bfd -name bfd.info\* | xargs --no-run-if-empty touch
 
 binary-post-install/gdb$(TS) ::
-	if [ -x debian/tmp/usr/bin/run ]; then				\
-		mv debian/tmp/usr/bin/run					\
-		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run;		\
+	if [ -x debian/tmp/usr/bin/run ]; then \
+		mv debian/tmp/usr/bin/run \
+		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run; \
 	fi
-	if [ -x debian/tmp/usr/share/man/man1/run.1 ]; then				\
-		mv debian/tmp/usr/share/man/man1/run.1			\
-		  debian/gdb$(TS)/usr/share/man/man1/$(DEB_TARGET_ALIAS)-run.1;	\
+	if [ -r debian/tmp/usr/share/man/man1/run.1 ]; then \
+		mv debian/tmp/usr/share/man/man1/run.1 \
+		  debian/gdb$(TS)/usr/share/man/man1/$(DEB_TARGET_ALIAS)-run.1; \
 	fi
 ifeq ($(run_tests),yes)
 	install -d debian/gdb$(TS)/usr/share/doc/gdb
+	install -m 644 $(DEB_BUILDDIR)/gdb/testsuite/gdb.sum \
+		debian/gdb$(TS)/usr/share/doc/gdb/check.log
+endif
+
+ifneq ($(DEB_CROSS),yes)
+	# Only ship a global gdbinit for the native GDB.
+	install -d debian/gdb$(TS)/etc/gdb
+	install -d debian/gdb$(TS)/etc/gdb/gdbinit.d
+	install -m 644 debian/gdbinit debian/gdb$(TS)/etc/gdb/
+	# Likewise gdb-add-index
+	install -m 755 gdb/contrib/gdb-add-index.sh debian/gdb$(TS)/usr/bin/gdb-add-index
+endif
+
+	rm -f debian/gdb$(TS)/usr/bin/$(TP)gdbtui
+	install -m 755 debian/gdbtui debian/gdb$(TS)/usr/bin/$(TP)gdbtui
+
+binary-post-install/gdb-multiarch ::
